Subject: Re: GPIO IRQ on P1022

From: Tabi Timur-B04825 <[email-masked]>
Date: Sun, 31 Jul 2011 13:59:20 +0000

Felix Radensky wrote:
>
>      What happens when I load my driver is single execution of interrupt
> handler
>      followed by system freeze. Even if I call disable_irq() in interrupt
> handler the
>      system still freezes.

I don't know anything about the GPIO layer, but I think you're going to=20
need to debug this a little more.  Where exactly is the freeze?  Are you=20
sure the interrupt handler is being called only once?  Perhaps you're not=20
clearing the interrupt status and your handler is being called repeatedly?

--=20
Timur Tabi
Linux kernel developer at Freescale=